Description
Hi,

| noticed that in 3.5-250 some methods are removed.
Why is that done ?

| use ITServer.getApplicationServerDir() to show in the solutions about page which servoy implementation is used.
Just the servername is not enough, because there can be more then one servoy installations on one server.

3.5-250 02/16/2012

[chg] using the server object is now restricted to users that are logged in
[chg] removed method ITServer.getApplicationServerDir()

[chg] removed method ITServer.getDeveloperDir()
History

#1 - 02/17/2012 08:28 AM - Servoy Components
- Status changed from New to Feedback

- Assignee set to Servoy Components

This was done based on questions raised by Servoy.
With these 2 methods it is easy to create a security issue.

Servoy has added a couple of changes to the latest versions of Servoy and prompted all 3rd party component developers to improve security for
critical server related methods.

| could either make these methods available within developer only (which does not make any sense to me) or drop them.

Little hint: you can still use the old version, there are no dependencies on anything other than Servoy 5+ or 6+.
#2 - 02/22/2012 11:29 PM - Harjo Kompagnie

Hi Marcel,
my whole solution breaks because of this missing piece: plugins.it2be_tools.server().getApplicationServerDir()

| use it everywhere in my solution to point to the right folder, in this case to an ireport folder: plugins.jasperPluginRMI.reportDirectory =
plugins.it2be_tools.server().getApplicationServerDir() + '/server/webapps/ROOT/reports/'

And far as | know, this is the only way , to tell the jasper-plugin serverside, where the report files are...
| believe, Servoy warned for security issues, and allow certain actions ONLY when users are logged in!!

The trouble is | can't roll back to an older version, because | had to update to the latest Word version and it auto-updated the tools plugin also......
So | really hope, there is some solution to this.....

#3 - 02/23/2012 12:45 AM - Patrick Talbot

Why don't you use the jasper report server plugin property "directory.jasper.report" to set that path?
The client should not need to know about the server path.

#4 - 02/23/2012 12:30 PM - Harjo Kompagnie

Because with every deployment | have to set this by hand in the servoy-admin page.

And | fiddled around with it, and could'nt find a reliable way todo this relative.....

With this code | don't have to think about it, my report folder is always relative to the ROOT.

#5 - 03/05/2012 12:36 PM - Servoy Components
- Status changed from Feedback to Closed
